summaryrefslogtreecommitdiffstats
path: root/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst b/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
new file mode 100755
index 0000000..bd85329
--- /dev/null
+++ b/tests/t-conffile-divert-conffile/pkg-conff-divert/DEBIAN/preinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "install" ] || [ "$1" = "upgrade" ]; then
+ dpkg-divert --package pkg-conff-divert --rename \
+ --divert /test-conffile.diverted --add /test-conffile
+fi
+